<template>
  <!--begin::Engage widget 1-->
  <div :class="widgetClasses" class="card" style="height: 660px">
    <!--begin::Card body-->
    <div
      class="card-body d-flex text-center justify-content-center align-text-end"
    >
      <!--begin::Wrapper-->
      <div class="row">
        <div class="col-12">
          <!--begin::Title-->
          <div class="fw-boldest text-center text-gray-600 fs-1 mb-2">
            มีรายการสินค้าใหม่<br />เข้ามาในวันนี้ใช่ไหม ?
          </div>
        </div>
        <div class="col-12">
          <div class="d-flex text-center justify-content-center align-text-end">
            <img
              src="https://preview.keenthemes.com/seven-html-pro/assets/media/svg/illustrations/easy/1.svg"
              width="310px"
              alt=""
            />
          </div>
        </div>
      </div>

      <!--end::Wrapper-->

      <!--begin::Wrapper-->
      <!--end::Wrapper-->
    </div>
    <div class="card-footer">
      <div class="row my-1">
        <div class="col text-end">
          <a
            @click="goToProduct()"
            :class="`btn-${currentColor}`"
            class="btn btn-sm btn-info fw-boldest fs-6"
            >เพิ่มสินค้า</a
          >
        </div>

        <div class="col">
          <a
            @click="goToWarehouse()"
            :class="`btn-${currentColor}`"
            class="btn btn-sm btn-secondary fw-boldest fs-6"
            >คลังสินค้า</a
          >
        </div>
      </div>
    </div>
    <!--end::Card body-->
  </div>
  <!--end::Engage widget 1-->
</template>

<script lang="ts">
import { defineComponent, computed, ref } from "vue";

export default defineComponent({
  name: "kt-widget-1",
  props: {
    widgetClasses: String,
    color: String,
  },
  components: {},
  setup(props) {
    const color = ref(props.color);

    const currentColor = computed(() => {
      return color.value ? color.value : "primary";
    });

    return {
      currentColor,
    };
  },
  methods: {
    goToProduct() {
      this.$router.push("/warehouse/WH4");
    },
    goToWarehouse() {
      this.$router.push("/warehouse/WH1");
    },
  },
});
</script>
